# $Id: ftest2_32.mak,v 1.2 2008-07-29 13:45:50+04 dstef Exp root $

target=ftest2
LIB32=/usr/lib32

ALL: $(target) $(target)-static


$(target): $(target).c
	cc -m32 -Wall -D_GNU_SOURCE=1 -D_BSD_SOURCE=1 \
	-L$(LIB32) -B$(LIB32) \
	-o $(target) $(target).c -pthread

$(target)-static: $(target).c
	cc -static -m32 -Wall -D_GNU_SOURCE=1 -D_BSD_SOURCE=1 \
	-L$(LIB32) -B$(LIB32) \
	-o $(target)-static $(target).c -pthread
	    
	    

run:  $(target)
	LD_LIBRARY_PATH=/usr/lib32 ./$(target)

run-static: $(target)-static
	./$(target)-static

clean:
	rm -f $(target)
	rm -f $(target)-static
